/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var categoryName = ko.observable(),
        storeScope = ko.observable(),
        language = ko.observable(),
        stores = ko.observableArray([]),
        categoryUrl = ko.observable(),
        image = ko.observable(),
        breadcrumbs = ko.observable('');

    return {
        categoryName: categoryName,
        storeScope: storeScope,
        language: language,
        stores: stores,
        categoryUrl: categoryUrl,
        image: image,
        breadcrumbs
    };
});
